Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.nc
Class NameClassBuilderImpl<E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>

    java.lang.Object
      org.kohsuke.rngom.nc.NameClassBuilderImpl<E,L,A,CL>

All Implemented Interfaces:
  NameClassBuilder<NameClass,E,L,A,CL>

    public class NameClassBuilderImpl<E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>

extends java.lang.Object
implements NameClassBuilder<NameClass,E,L,A,CL>

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Constructor Summary
`NameClassBuilderImpl()`

Method Summary
`NameClass` | `annotate(NameClass nc, A anno)`
`NameClass` | `annotateAfter(NameClass nc, E e)`
`NameClass` | `commentAfter(NameClass nc, CL comments)`
`NameClass` | `makeAnyName(L loc, A anno)`
`NameClass` | `makeAnyName(NameClass except, L loc, A anno)` Caller must enforce constraints on except.
`NameClass` | `makeChoice(java.util.List<NameClass> nameClasses, L loc, A anno)`
`NameClass` | `makeErrorNameClass()`
`NameClass` | `makeName(java.lang.String ns, java.lang.String localName, java.lang.String prefix, L loc, A anno)`
`NameClass` | `makeNsName(java.lang.String ns, L loc, A anno)`
`NameClass` | `makeNsName(java.lang.String ns, NameClass except, L loc, A anno)` Caller must enforce constraints on except.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameClassBuilderImpl

    public NameClassBuilderImpl()

Method Detail

### makeChoice

    public NameClass makeChoice(java.util.List<NameClass> nameClasses,
                                L loc,
                                A anno)

  Specified by:
    `makeChoice` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### makeName

    public NameClass makeName(java.lang.String ns,
                              java.lang.String localName,
                              java.lang.String prefix,
                              L loc,
                              A anno)

  Specified by:
    `makeName` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### makeNsName

    public NameClass makeNsName(java.lang.String ns,
                                L loc,
                                A anno)

  Specified by:
    `makeNsName` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### makeNsName

    public NameClass makeNsName(java.lang.String ns,
                                NameClass except,
                                L loc,
                                A anno)

  Description copied from interface: `NameClassBuilder`
  Caller must enforce constraints on except.

  Specified by:
    `makeNsName` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### makeAnyName

    public NameClass makeAnyName(L loc,
                                 A anno)

  Specified by:
    `makeAnyName` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### makeAnyName

    public NameClass makeAnyName(NameClass except,
                                 L loc,
                                 A anno)

  Description copied from interface: `NameClassBuilder`
  Caller must enforce constraints on except.

  Specified by:
    `makeAnyName` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### makeErrorNameClass

    public NameClass makeErrorNameClass()

  Specified by:
    `makeErrorNameClass` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`

### annotate

    public NameClass annotate(NameClass nc,
                              A anno)
                       throws BuildException

  Specified by:
    `annotate` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`
  Throws:
    `BuildException`

### annotateAfter

    public NameClass annotateAfter(NameClass nc,
                                   E e)
                            throws BuildException

  Specified by:
    `annotateAfter` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`
  Throws:
    `BuildException`

### commentAfter

    public NameClass commentAfter(NameClass nc,
                                  CL comments)
                           throws BuildException

  Specified by:
    `commentAfter` in interface `NameClassBuilder<NameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD